Bug 615877 - WARNING: at net/mac80211/scan.c:310 ieee80211_scan_completed+0x44/0x1f1 [mac80211]
Summary: WARNING: at net/mac80211/scan.c:310 ieee80211_scan_completed+0x44/0x1f1 [mac8...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 629045 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 08:03 UTC by Mihai Harpau
Modified: 2011-06-09 18:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-09 18:13:22 UTC
Type: ---


Attachments (Terms of Use)

Description Mihai Harpau 2010-07-19 08:03:09 UTC
Description of problem:

Jul 19 00:46:12 netop kernel: iwlagn 0000:0c:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.
Jul 19 00:46:12 netop kernel: iwlagn 0000:0c:00.0: Error: Response NULL in 'REPLY_ADD_STA'
Jul 19 00:46:12 netop kernel: ------------[ cut here ]------------
Jul 19 00:46:12 netop kernel: WARNING: at net/mac80211/scan.c:310 ieee80211_scan_completed+0x44/0x1f1 [mac80211]()
Jul 19 00:46:12 netop kernel: Hardware name: Latitude E5400                  
Jul 19 00:46:12 netop kernel: Modules linked in: ipt_MASQUERADE iptable_nat nf_nat aes_x86_64 aes_generic rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb iwlagn snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec iwlcore snd_hwdep snd_seq snd_seq_device mac80211 snd_pcm btusb bluetooth snd_timer tg3 dell_wmi snd dell_laptop cfg80211 microcode sdhci_pci sdhci rfkill wmi soundcore iTCO_wdt snd_page_alloc joydev mmc_core dcdbas iTCO_vendor_support i2c_i801 yenta_socket rsrc_nonstatic firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 19 00:46:12 netop kernel: Pid: 965, comm: iwlagn Not tainted 2.6.33.6-147.fc13.x86_64 #1
Jul 19 00:46:12 netop kernel: Call Trace:
Jul 19 00:46:12 netop kernel: [<ffffffff8104aecc>] warn_slowpath_common+0x77/0x8f
Jul 19 00:46:12 netop kernel: [<ffffffff8104aef3>] warn_slowpath_null+0xf/0x11
Jul 19 00:46:12 netop kernel: [<ffffffffa024d7be>] ieee80211_scan_completed+0x44/0x1f1 [mac80211]
Jul 19 00:46:12 netop kernel: [<ffffffffa02c6df1>] iwl_bg_scan_completed+0x168/0x1a3 [iwlcore]
Jul 19 00:46:12 netop kernel: [<ffffffff810606e9>] worker_thread+0x1a4/0x232
Jul 19 00:46:12 netop kernel: [<ffffffffa02c6c89>] ? iwl_bg_scan_completed+0x0/0x1a3 [iwlcore]
Jul 19 00:46:12 netop kernel: [<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
Jul 19 00:46:12 netop kernel: [<ffffffff81060545>] ? worker_thread+0x0/0x232
Jul 19 00:46:12 netop kernel: [<ffffffff81063d6f>] kthread+0x7a/0x82
Jul 19 00:46:12 netop kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Jul 19 00:46:12 netop kernel: [<ffffffff81063cf5>] ? kthread+0x0/0x82
Jul 19 00:46:12 netop kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Jul 19 00:46:12 netop kernel: ---[ end trace 5767e0383ae64f93 ]---
Jul 19 00:46:12 netop kernel: ------------[ cut here ]------------
Jul 19 00:46:12 netop kernel: WARNING: at net/mac80211/scan.c:313 ieee80211_scan_completed+0x5f/0x1f1 [mac80211]()
Jul 19 00:46:12 netop kernel: Hardware name: Latitude E5400                  
Jul 19 00:46:12 netop kernel: Modules linked in: ipt_MASQUERADE iptable_nat nf_nat aes_x86_64 aes_generic rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb iwlagn snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec iwlcore snd_hwdep snd_seq snd_seq_device mac80211 snd_pcm btusb bluetooth snd_timer tg3 dell_wmi snd dell_laptop cfg80211 microcode sdhci_pci sdhci rfkill wmi soundcore iTCO_wdt snd_page_alloc joydev mmc_core dcdbas iTCO_vendor_support i2c_i801 yenta_socket rsrc_nonstatic firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 19 00:46:12 netop kernel: Pid: 965, comm: iwlagn Tainted: G        W  2.6.33.6-147.fc13.x86_64 #1
Jul 19 00:46:12 netop kernel: Call Trace:
Jul 19 00:46:12 netop kernel: [<ffffffff8104aecc>] warn_slowpath_common+0x77/0x8f
Jul 19 00:46:12 netop kernel: [<ffffffff8104aef3>] warn_slowpath_null+0xf/0x11
Jul 19 00:46:12 netop kernel: [<ffffffffa024d7d9>] ieee80211_scan_completed+0x5f/0x1f1 [mac80211]
Jul 19 00:46:12 netop kernel: [<ffffffffa02c6df1>] iwl_bg_scan_completed+0x168/0x1a3 [iwlcore]
Jul 19 00:46:12 netop kernel: [<ffffffff810606e9>] worker_thread+0x1a4/0x232
Jul 19 00:46:12 netop kernel: [<ffffffffa02c6c89>] ? iwl_bg_scan_completed+0x0/0x1a3 [iwlcore]
Jul 19 00:46:12 netop kernel: [<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
Jul 19 00:46:12 netop kernel: [<ffffffff81060545>] ? worker_thread+0x0/0x232
Jul 19 00:46:12 netop kernel: [<ffffffff81063d6f>] kthread+0x7a/0x82
Jul 19 00:46:12 netop kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Jul 19 00:46:12 netop kernel: [<ffffffff81063cf5>] ? kthread+0x0/0x82
Jul 19 00:46:12 netop kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Jul 19 00:46:12 netop kernel: ---[ end trace 5767e0383ae64f94 ]---

Version-Release number of selected component (if applicable):
F13 up-to-date
kernel-2.6.33.6-147.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mihai Harpau 2010-07-19 08:06:51 UTC
This is happened after a cycle suspend/resume with a working wireless connection.

Comment 2 Mihai Harpau 2010-07-19 11:00:12 UTC
I think this is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=590436

Comment 3 John W. Linville 2010-07-19 19:05:06 UTC
I suspect that the "Error sending REPLY_SCAN_CMD" is the real issue.  Are you able to recreate this failure?

Comment 4 Mihai Harpau 2010-07-19 19:10:38 UTC
I will try and report ASAP

Comment 5 Chuck Ebbert 2010-07-21 15:43:48 UTC
Please try 2.6.34.1-20

Comment 6 Stanislaw Gruszka 2010-09-09 14:31:59 UTC
*** Bug 629045 has been marked as a duplicate of this bug. ***

Comment 7 Stanislaw Gruszka 2010-09-09 14:40:02 UTC
Issue is still reproducible on 2.6.34 ...

Problem hire is that firmware stop responding. We have patches that should reset firmware, but for some reason driver did not do this. 

Another issue is why firmware hung, perhaps driver do something wrong (maybe this is ASPM problem?)

The basic question is if we can reproduce this problem reliably, Mihai, how reproducible is the issue?

Comment 8 Mihai Harpau 2010-09-13 09:29:37 UTC
All I need to do is to make a cycle suspend/resume with a working wireless
connection and there is good chance to reproduce this bug or similar.

Comment 9 Stanislaw Gruszka 2010-09-13 13:07:15 UTC
Does you still can reproduce when boot kernel with pcie_aspm=off parameter?

Comment 10 Mihai Harpau 2010-09-13 17:56:13 UTC
After boot system with pcie_aspm=off parameter added on kernel grub line I have to work very hard to reproduce this bug: after only 24h of testing I am not able to reproduce this bug again.

Comment 11 Stanislaw Gruszka 2010-09-14 08:53:11 UTC
Ok, so you can reproduce the bug without pcie_aspm=off and can not reproduce with that option.

We can disable ASPM just on iwlwifi devices as do this upstream commit :-) 

commit 1a7123cdd9f49cf1c908fb2c16d26f279c88d8c9
Author: John W. Linville <linville@tuxdriver.com>
Date:   Thu Aug 5 14:39:31 2010 -0400

    iwlwifi: disable aspm by default

I will prepare test kernel with that patch for you.

Comment 12 Stanislaw Gruszka 2010-09-14 15:43:58 UTC
Here is build with with "iwlwifi: disable aspm by default" patch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2466565
Remember to remove pcie_aspm=off before you will start test. When you confirm kernel fix the problem, I will post patch patch to fedora and stable kernel.

Comment 13 Mihai Harpau 2010-09-18 19:32:13 UTC
With kernel from comment 12 I have more problems than with current kernel kernel-2.6.34.6-54.fc13 with pcie_aspm=off on kernel grub line.

Also I see this message that I think is similar with that in comment 1:

Sep 18 12:32:17 netop kernel: iwlagn 0000:0c:00.0: Error sending REPLY_SCAN_CMD: time out after 500ms.
Sep 18 12:32:17 netop kernel: iwlagn 0000:0c:00.0: Error: Response NULL in 'REPLY_ADD_STA'
Sep 18 12:32:17 netop kernel: ------------[ cut here ]------------
Sep 18 12:32:17 netop kernel: WARNING: at net/mac80211/scan.c:258 ieee80211_scan_completed+0x49/0x192 [mac80211]()
Sep 18 12:32:17 netop kernel: Hardware name: Latitude E5400                  
Sep 18 12:32:17 netop kernel: Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat aes_x86_64 aes_generic rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec iwlagn snd_hwdep snd_seq snd_seq_device snd_pcm sdhci_pci iwlcore sdhci mmc_core btusb snd_timer snd soundcore mac80211 iTCO_wdt snd_page_alloc i2c_i801 dell_wmi dell_laptop dcdbas bluetooth wmi iTCO_vendor_support cfg80211 tg3 joydev rfkill microcode firewire_ohci firewire_core crc_itu_t yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Sep 18 12:32:17 netop kernel: Pid: 920, comm: iwlagn Not tainted 2.6.34.6-54.bz615877.fc13.x86_64 #1
Sep 18 12:32:17 netop kernel: Call Trace:
Sep 18 12:32:17 netop kernel: [<ffffffff8104d12f>] warn_slowpath_common+0x7c/0x94
Sep 18 12:32:17 netop kernel: [<ffffffff8104d15b>] warn_slowpath_null+0x14/0x16
Sep 18 12:32:17 netop kernel: [<ffffffffa01e4d8b>] ieee80211_scan_completed+0x49/0x192 [mac80211]
Sep 18 12:32:17 netop kernel: [<ffffffffa029c188>] iwl_bg_scan_completed+0x16d/0x1a8 [iwlcore]
Sep 18 12:32:17 netop kernel: [<ffffffff810622e5>] worker_thread+0x1a9/0x237
Sep 18 12:32:17 netop kernel: [<ffffffffa029c01b>] ? iwl_bg_scan_completed+0x0/0x1a8 [iwlcore]
Sep 18 12:32:17 netop kernel: [<ffffffff81066133>] ? autoremove_wake_function+0x0/0x39
Sep 18 12:32:17 netop kernel: [<ffffffff8106213c>] ? worker_thread+0x0/0x237
Sep 18 12:32:17 netop kernel: [<ffffffff81065cb9>] kthread+0x7f/0x87
Sep 18 12:32:17 netop kernel: [<ffffffff8100aa64>] kernel_thread_helper+0x4/0x10
Sep 18 12:32:17 netop kernel: [<ffffffff81065c3a>] ? kthread+0x0/0x87
Sep 18 12:32:17 netop kernel: [<ffffffff8100aa60>] ? kernel_thread_helper+0x0/0x10
Sep 18 12:32:17 netop kernel: ---[ end trace d4438a78915da42d ]---
Sep 18 12:32:17 netop kernel: ------------[ cut here ]------------
Sep 18 12:32:17 netop kernel: WARNING: at net/mac80211/scan.c:261 ieee80211_scan_completed+0x64/0x192 [mac80211]()
Sep 18 12:32:17 netop kernel: Hardware name: Latitude E5400                  
Sep 18 12:32:17 netop kernel: Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat aes_x86_64 aes_generic rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec iwlagn snd_hwdep snd_seq snd_seq_device snd_pcm sdhci_pci iwlcore sdhci mmc_core btusb snd_timer snd soundcore mac80211 iTCO_wdt snd_page_alloc i2c_i801 dell_wmi dell_laptop dcdbas bluetooth wmi iTCO_vendor_support cfg80211 tg3 joydev rfkill microcode firewire_ohci firewire_core crc_itu_t yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Sep 18 12:32:17 netop kernel: Pid: 920, comm: iwlagn Tainted: G        W  2.6.34.6-54.bz615877.fc13.x86_64 #1
Sep 18 12:32:17 netop kernel: Call Trace:
Sep 18 12:32:17 netop kernel: [<ffffffff8104d12f>] warn_slowpath_common+0x7c/0x94
Sep 18 12:32:17 netop kernel: [<ffffffff8104d15b>] warn_slowpath_null+0x14/0x16
Sep 18 12:32:17 netop kernel: [<ffffffffa01e4da6>] ieee80211_scan_completed+0x64/0x192 [mac80211]
Sep 18 12:32:17 netop kernel: [<ffffffffa029c188>] iwl_bg_scan_completed+0x16d/0x1a8 [iwlcore]
Sep 18 12:32:17 netop kernel: [<ffffffff810622e5>] worker_thread+0x1a9/0x237
Sep 18 12:32:17 netop kernel: [<ffffffffa029c01b>] ? iwl_bg_scan_completed+0x0/0x1a8 [iwlcore]
Sep 18 12:32:17 netop kernel: [<ffffffff81066133>] ? autoremove_wake_function+0x0/0x39
Sep 18 12:32:17 netop kernel: [<ffffffff8106213c>] ? worker_thread+0x0/0x237
Sep 18 12:32:17 netop kernel: [<ffffffff81065cb9>] kthread+0x7f/0x87
Sep 18 12:32:17 netop kernel: [<ffffffff8100aa64>] kernel_thread_helper+0x4/0x10
Sep 18 12:32:17 netop kernel: [<ffffffff81065c3a>] ? kthread+0x0/0x87
Sep 18 12:32:17 netop kernel: [<ffffffff8100aa60>] ? kernel_thread_helper+0x0/0x10
Sep 18 12:32:17 netop NetworkManager[1375]: <info> (eth0): preparing device.
Sep 18 12:32:17 netop NetworkManager[1375]: <info> (eth0): deactivating device (reason: 2).
Sep 18 12:32:17 netop kernel: ---[ end trace d4438a78915da42e ]---

Comment 14 Mihai Harpau 2010-09-18 19:49:52 UTC
Also with kernel kernel-2.6.34.6-54.bz615877.fc13.x86_64 I have enough cases when after resume the system goes to a total freeze state with a black screen so I could not take any info about those crashes.

Comment 15 Stanislaw Gruszka 2010-09-22 11:56:17 UTC
(In reply to comment #13)
> With kernel from comment 12 I have more problems than with current kernel
> kernel-2.6.34.6-54.fc13 with pcie_aspm=off on kernel grub line.
> 
> Also I see this message that I think is similar with that in comment 1:
> 
> Sep 18 12:32:17 netop kernel: iwlagn 0000:0c:00.0: Error sending
> REPLY_SCAN_CMD: time out after 500ms.
> Sep 18 12:32:17 netop kernel: iwlagn 0000:0c:00.0: Error: Response NULL in
> 'REPLY_ADD_STA'

So total disable ASPM helps, but disabling it only on iwlwifi device does not help, ehh ...

Please attach all dmesg from system start to WARNING .

(In reply to comment #14)
> Also with kernel kernel-2.6.34.6-54.bz615877.fc13.x86_64 I have enough cases
> when after resume the system goes to a total freeze state with a black screen
> so I could not take any info about those crashes.

Freezes happens on 2.6.34.6-54.bz615877 and does not happens on stock fedora 2.6.34.6-54.f13, or this is general 2.6.34 over 2.6.33 regression?

Comment 16 Bug Zapper 2011-06-01 13:29:38 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Mihai Harpau 2011-06-02 16:54:49 UTC
I do not use anymore Fedora 13 so this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.